.prismatic-spray-simulator {
  --bg-color: white;
  --text-color: #555;
  background-color: var(--bg-color);
  color: var(--text-color);
}
.prismatic-spray-simulator * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.prismatic-spray-simulator.dark {
  --bg-color: #121212;
  --text-color: white;
  --text-color2: #aaa;
}
.prismatic-spray-simulator.light {
  --bg-color: white;
  --text-color: #555;
  --text-color2: #aaa;
}
.prismatic-spray-simulator a {
  color: #007bff;
  text-decoration: none;
}
.prismatic-spray-simulator a:hover {
  text-decoration: underline;
}
.prismatic-spray-simulator header {
  width: 100%;
  min-height: 40px;
  top: 0;
  z-index: 10;
  background: var(--bg-color);
  display: flex;
}
.prismatic-spray-simulator header > * {
  flex: 1;
}
.prismatic-spray-simulator footer {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 1rem;
}
.prismatic-spray-simulator .main {
  max-width: 800px;
  align-content: center;
  align-self: center;
  justify-content: center;
  justify-items: center;
  justify-self: center;
  margin: 0 auto;
}
.prismatic-spray-simulator p {
  margin-bottom: 1rem;
}
.prismatic-spray-simulator table {
  border-collapse: collapse;
  margin-bottom: 1em;
  width: 100%;
}
.prismatic-spray-simulator tr {
  border: 1px solid var(--text-color2);
}
.prismatic-spray-simulator td, .prismatic-spray-simulator th {
  padding: 0.5em 1em;
}
.prismatic-spray-simulator .spray-red {
  background-color: rgba(255, 0, 0, 0.5);
}
.prismatic-spray-simulator .spray-orange {
  background-color: rgba(255, 165, 0, 0.5);
}
.prismatic-spray-simulator .spray-yellow {
  background-color: rgba(255, 255, 0, 0.5);
}
.prismatic-spray-simulator .spray-green {
  background-color: rgba(0, 128, 0, 0.5);
}
.prismatic-spray-simulator .spray-blue {
  background-color: rgba(0, 0, 255, 0.5);
}
.prismatic-spray-simulator .spray-indigo {
  background-color: rgba(75, 0, 130, 0.5);
}
.prismatic-spray-simulator .spray-violet {
  background-color: rgba(238, 130, 238, 0.5);
}
.prismatic-spray-simulator .spray-special {
  background: linear-gradient(to right, rgba(255, 165, 0, 0.5), rgba(255, 255, 0, 0.5), rgba(0, 128, 0, 0.5), rgba(0, 255, 255, 0.5), rgba(0, 0, 255, 0.5), rgba(238, 130, 238, 0.5));
}
